---
title: bsu patch
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
## Overview

This is the WebLogic Patch process called BSU

## Attributes



Attribute Name                                        | Short Description                   |
----------------------------------------------------- | ----------------------------------- |
[ensure](#bsu_patch_ensure)                           | Whether a patch should be applied.  |
[jdk_home_dir](#bsu_patch_jdk_home_dir)               | The JDK home folder.                |
[middleware_home_dir](#bsu_patch_middleware_home_dir) | The middleware home folder.         |
[name](#bsu_patch_name)                               | The name of the BSU WebLogic Patch. |
[os_user](#bsu_patch_os_user)                         | The weblogic operating system user. |
[patch_download_dir](#bsu_patch_patch_download_dir)   | The BSU pathc download dir folder.  |
[provider](#bsu_patch_provider)                       | resource.                           |
[weblogic_home_dir](#bsu_patch_weblogic_home_dir)     | The weblogic home home folder.      |




### ensure<a name='bsu_patch_ensure'>

Whether a patch should be applied.

Valid values are `present` (also called `installed`), `absent` (also called `purged`). 

[Back to overview of bsu_patch](#attributes)

### jdk_home_dir<a name='bsu_patch_jdk_home_dir'>

The JDK home folder.



[Back to overview of bsu_patch](#attributes)

### middleware_home_dir<a name='bsu_patch_middleware_home_dir'>

The middleware home folder.



[Back to overview of bsu_patch](#attributes)

### name<a name='bsu_patch_name'>

The name of the BSU WebLogic Patch.



[Back to overview of bsu_patch](#attributes)

### os_user<a name='bsu_patch_os_user'>

The weblogic operating system user.



[Back to overview of bsu_patch](#attributes)

### patch_download_dir<a name='bsu_patch_patch_download_dir'>

The BSU pathc download dir folder.



[Back to overview of bsu_patch](#attributes)

### provider<a name='bsu_patch_provider'>

The specific backend to use for this `bsu_patch`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

bsu_patch
: 



[Back to overview of bsu_patch](#attributes)

### weblogic_home_dir<a name='bsu_patch_weblogic_home_dir'>

The weblogic home home folder.



[Back to overview of bsu_patch](#attributes)
