
This class allows you install the WebLogic software on your system. Here is an example on how you could use this:

```
class{'ora_install::software':
  version              => 1221,                       # 1036|1211|1212|1213|1221
  filename             => 'fmw_12.2.1.0.0_wls.jar',   # 
  jdk_home_dir         => '/usr/java/jdk1.8.0_45',
  oracle_base_home_dir => "/opt/oracle",
  middleware_home_dir  => "/opt/oracle/middleware12c",
  weblogic_home_dir    => "/opt/oracle/middleware12c/wlserver",
  os_user              => "oracle",
  os_group             => "dba",
  download_dir         => "/data/install",
  source               => "/vagrant",                 # puppet:///modules/orawls/ | /mnt |
  log_output           => true,
}
```

<%- include_attributes [
  :version,
  :filename,
  :oracle_base_home_dir,
  :middleware_home_dir,
  :weblogic_home_dir,
  :wls_domains_dir,
  :wls_apps_dir,
  :fmw_infra,
  :jdk_home_dir,
  :os_user,
  :os_group,
  :download_dir,
  :source,
  :java_parameters,
  :temp_directory,
  :logoutput,
  :log_output,
  :remote_file
]%>

