This defined type allows you to add an OHS instance to a WebLogic Domain and in the Enterprise Manager, optional with OHS OAM Webgate. Here is an example on how you could use this:

```
ora_install::utils::webtier{ 'ohs1':
  action_name       => 'create',
  instance_name     => 'ohs1',
  webgate_configure => true,
}
```


<%- include_attributes [
  :version,
  :weblogic_home_dir,
  :middleware_home_dir,
  :jdk_home_dir,
  :wls_domains_dir,
  :domain_name,
  :adminserver_address,
  :adminserver_port,
  :action_name,
  :webgate_configure,
  :webgate_agentname,
  :webgate_hostidentifier,
  :oamadminserverhostname,
  :oamadminserverport,
  :domain_configure,
  :instance_name,
  :machine_name,
  :weblogic_user,
  :weblogic_password,
  :os_user,
  :os_group,
  :download_dir,
  :logoutput,
  :log_output
]%>

