---
title: wls directory structure
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
## Overview

add all the directories needed by the oracle weblogic installation

## Attributes



Attribute Name                                                  | Short Description                    |
--------------------------------------------------------------- | ------------------------------------ |
[download_dir](#wls_directory_structure_download_dir)           | The download folder.                 |
[ensure](#wls_directory_structure_ensure)                       | Whether to do something.             |
[name](#wls_directory_structure_name)                           | The title.                           |
[ora_inventory_dir](#wls_directory_structure_ora_inventory_dir) | The oracle inventory folder.         |
[oracle_base_dir](#wls_directory_structure_oracle_base_dir)     | The oracle base folder.              |
[os_group](#wls_directory_structure_os_group)                   | The weblogic operating system group. |
[os_user](#wls_directory_structure_os_user)                     | The weblogic operating system user.  |
[provider](#wls_directory_structure_provider)                   | resource.                            |
[wls_apps_dir](#wls_directory_structure_wls_apps_dir)           | The oracle weblogic apps folder.     |
[wls_domains_dir](#wls_directory_structure_wls_domains_dir)     | The oracle weblogic domains folder.  |




### download_dir<a name='wls_directory_structure_download_dir'>

The download folder.



[Back to overview of wls_directory_structure](#attributes)

### ensure<a name='wls_directory_structure_ensure'>

Whether to do something.

Valid values are `present`. 

[Back to overview of wls_directory_structure](#attributes)

### name<a name='wls_directory_structure_name'>

The title.



[Back to overview of wls_directory_structure](#attributes)

### ora_inventory_dir<a name='wls_directory_structure_ora_inventory_dir'>

The oracle inventory folder.



[Back to overview of wls_directory_structure](#attributes)

### oracle_base_dir<a name='wls_directory_structure_oracle_base_dir'>

The oracle base folder.



[Back to overview of wls_directory_structure](#attributes)

### os_group<a name='wls_directory_structure_os_group'>

The weblogic operating system group.



[Back to overview of wls_directory_structure](#attributes)

### os_user<a name='wls_directory_structure_os_user'>

The weblogic operating system user.



[Back to overview of wls_directory_structure](#attributes)

### provider<a name='wls_directory_structure_provider'>

The specific backend to use for this `wls_directory_structure`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

wls_directory_structure
: 



[Back to overview of wls_directory_structure](#attributes)

### wls_apps_dir<a name='wls_directory_structure_wls_apps_dir'>

The oracle weblogic apps folder.



[Back to overview of wls_directory_structure](#attributes)

### wls_domains_dir<a name='wls_directory_structure_wls_domains_dir'>

The oracle weblogic domains folder.



[Back to overview of wls_directory_structure](#attributes)
