---
title: managed server
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
## Overview


Here is an example on how to use it:

``` puppet
}
```




## Attributes



Attribute Name                                       | Short Description                                     |
---------------------------------------------------- | ----------------------------------------------------- |
[domain](#managed_server_domain)                     | Domain name.                                          |
[listenaddress](#managed_server_listenaddress)       | The address to use for listening.                     |
[listenport](#managed_server_listenport)             | IP port to listen on.                                 |
[machine](#managed_server_machine)                   | Name of the weblogic machine to use.                  |
[server_arguments](#managed_server_server_arguments) | Java arguments to use when runing the managed server. |
[ssllistenport](#managed_server_ssllistenport)       | SSL listen port to use.                               |
[wls_log_dir](#managed_server_wls_log_dir)           | The directory where all log files are places.         |




### domain<a name='managed_server_domain'>

Domain name.

Type: `String[1]`


[Back to overview of managed_server](#attributes)

### machine<a name='managed_server_machine'>

Name of the weblogic machine to use.

Type: `String[1]`


[Back to overview of managed_server](#attributes)

### listenaddress<a name='managed_server_listenaddress'>

The address to use for listening. Mat be a physical IP address or a DNS name.

Type: `String[1]`


[Back to overview of managed_server](#attributes)

### listenport<a name='managed_server_listenport'>

IP port to listen on.

Type: `Integer`


[Back to overview of managed_server](#attributes)

### ssllistenport<a name='managed_server_ssllistenport'>

SSL listen port to use.

Type: `Integer`


[Back to overview of managed_server](#attributes)

### server_arguments<a name='managed_server_server_arguments'>

Java arguments to use when runing the managed server.

Type: `Array`


[Back to overview of managed_server](#attributes)

### wls_log_dir<a name='managed_server_wls_log_dir'>

The directory where all log files are places. 

Type: `Optional[Stdlib::Absolutepath]`

Default:`lookup({name => 'wls_log_dir', default_value => undef})`

[Back to overview of managed_server](#attributes)
