#
# See the file "LICENSE" for the full license governing this code.
#
# wls_install_homes.rb
require 'puppet_x/enterprisemodules/weblogic/facts'

# get oracle inventory location
Facter.add('wls_install_inventory_loc') do
  extend Puppet_X::EnterpriseModules::WebLogic::Facts
  setcode do
    get_orainst_loc
  end
end

# get weblogic products info
Facter.add('wls_install_homes') do
  extend Puppet_X::EnterpriseModules::WebLogic::Facts
  setcode do
    homes_hash
  end
end

# get weblogic domain info
Facter.add('wls_install_domains') do
  extend Puppet_X::EnterpriseModules::WebLogic::Facts
  setcode do
    domains_hash
  end
end
